Page MenuHomePhabricator

Possible bug in PHP Tokenizer: Unexpected OOM
Closed, ResolvedPublic

Description

Parsing this wikitext {{Berlin weatherbox}} causes the peg tokenizer to run out of memory.
But, parsing the expansion of that wikitext completes rapidly.

Event Timeline

ssastry created this task.Jun 24 2019, 9:11 PM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptJun 24 2019, 9:11 PM
ssastry triaged this task as Normal priority.Jun 24 2019, 9:11 PM
ssastry moved this task from Backlog to Bugs on the Parsoid-PHP board.
Arlolra claimed this task.Jun 24 2019, 11:26 PM

Change 518848 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] [WIP] Fix OOM when parsing template

https://gerrit.wikimedia.org/r/518848

Change 518848 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Fix OOM when parsing template

https://gerrit.wikimedia.org/r/518848

Arlolra closed this task as Resolved.Jun 25 2019, 8:02 PM

Mentioned in SAL (#wikimedia-operations) [2019-07-24T21:18:52Z] <cscott@deploy1001> Finished deploy [parsoid/deploy@abd05ab]: Updating Parsoid to df1af404 (T227216, T226523, T226451) (duration: 18m 35s)